Open CASCADE Technology: UTL Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Static Public Member Functions
UTL Class Reference

`#include <UTL.hxx>`

## Static Public Member Functions
static TCollection_ExtendedString | xgetenv (const Standard_CString aCString)
static Storage_Error | OpenFile (Storage_BaseDriver &aFile, const TCollection_ExtendedString &aName, const Storage_OpenMode aMode)
static void | AddToUserInfo (const Handle< Storage_Data > &aData, const TCollection_ExtendedString &anInfo)
static OSD_Path | Path (const TCollection_ExtendedString &aFileName)
static TCollection_ExtendedString | Disk (const OSD_Path &aPath)
static TCollection_ExtendedString | Trek (const OSD_Path &aPath)
static TCollection_ExtendedString | Name (const OSD_Path &aPath)
static TCollection_ExtendedString | Extension (const OSD_Path &aPath)
static OSD_FileIterator | FileIterator (const OSD_Path &aPath, const TCollection_ExtendedString &aMask)
static TCollection_ExtendedString | Extension (const TCollection_ExtendedString &aFileName)
static TCollection_ExtendedString | LocalHost ()
static TCollection_ExtendedString | ExtendedString (const TCollection_AsciiString &anAsciiString)
static Standard_GUID | GUID (const TCollection_ExtendedString &anXString)
static Standard_Boolean | Find (const Handle< Resource_Manager > &aResourceManager, const TCollection_ExtendedString &aResourceName)
static TCollection_ExtendedString | Value (const Handle< Resource_Manager > &aResourceManager, const TCollection_ExtendedString &aResourceName)
static Standard_Integer | IntegerValue (const TCollection_ExtendedString &anExtendedString)
static Standard_CString | CString (const TCollection_ExtendedString &anExtendedString)
static Standard_Boolean | IsReadOnly (const TCollection_ExtendedString &aFileName)

## Member Function Documentation

static void UTL::AddToUserInfo | ( | const Handle< Storage_Data > & | aData,
|  | const TCollection_ExtendedString & | anInfo
| ) |  |
| static

static Standard_CString UTL::CString | ( | const TCollection_ExtendedString & | anExtendedString | ) |
| static

static TCollection_ExtendedString UTL::Disk | ( | const OSD_Path & | aPath | ) |
| static

static TCollection_ExtendedString UTL::ExtendedString | ( | const TCollection_AsciiString & | anAsciiString | ) |
| static

static TCollection_ExtendedString UTL::Extension | ( | const OSD_Path & | aPath | ) |
| static

static TCollection_ExtendedString UTL::Extension | ( | const TCollection_ExtendedString & | aFileName | ) |
| static

static OSD_FileIterator UTL::FileIterator | ( | const OSD_Path & | aPath,
|  | const TCollection_ExtendedString & | aMask
| ) |  |
| static

static Standard_Boolean UTL::Find | ( | const Handle< Resource_Manager > & | aResourceManager,
|  | const TCollection_ExtendedString & | aResourceName
| ) |  |
| static

static Standard_GUID UTL::GUID | ( | const TCollection_ExtendedString & | anXString | ) |
| static

static Standard_Integer UTL::IntegerValue | ( | const TCollection_ExtendedString & | anExtendedString | ) |
| static

static Standard_Boolean UTL::IsReadOnly | ( | const TCollection_ExtendedString & | aFileName | ) |
| static

static TCollection_ExtendedString UTL::LocalHost | ( |  | ) |
| static

static TCollection_ExtendedString UTL::Name | ( | const OSD_Path & | aPath | ) |
| static

static Storage_Error UTL::OpenFile | ( | Storage_BaseDriver & | aFile,
|  | const TCollection_ExtendedString & | aName,
|  | const Storage_OpenMode | aMode
| ) |  |
| static

static OSD_Path UTL::Path | ( | const TCollection_ExtendedString & | aFileName | ) |
| static

static TCollection_ExtendedString UTL::Trek | ( | const OSD_Path & | aPath | ) |
| static

static TCollection_ExtendedString UTL::Value | ( | const Handle< Resource_Manager > & | aResourceManager,
|  | const TCollection_ExtendedString & | aResourceName
| ) |  |
| static

static TCollection_ExtendedString UTL::xgetenv | ( | const Standard_CString | aCString | ) |
| static

The documentation for this class was generated from the following file:

- UTL.hxx